Loading...
Searching...
No Matches
WGPURenderBundleEncoderDescriptor Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes

WGPUChainedStruct const * | nextInChain
WGPU_NULLABLE char const * | label
size_t | colorFormatCount
WGPUTextureFormat const * | colorFormats
WGPUTextureFormat | depthStencilFormat
uint32_t | sampleCount
WGPUBool | depthReadOnly
WGPUBool | stencilReadOnly

## Detailed Description

Definition at line 1385 of file mini_webgpu.h.

## Member Data Documentation

## nextInChain

WGPUChainedStruct const* WGPURenderBundleEncoderDescriptor::nextInChain

Definition at line 1386 of file mini_webgpu.h.

## label

WGPU_NULLABLE char const* WGPURenderBundleEncoderDescriptor::label

Definition at line 1387 of file mini_webgpu.h.

## colorFormatCount

size_t WGPURenderBundleEncoderDescriptor::colorFormatCount

Definition at line 1388 of file mini_webgpu.h.

## colorFormats

WGPUTextureFormat const* WGPURenderBundleEncoderDescriptor::colorFormats

Definition at line 1389 of file mini_webgpu.h.

## depthStencilFormat

WGPUTextureFormat WGPURenderBundleEncoderDescriptor::depthStencilFormat

Definition at line 1390 of file mini_webgpu.h.

## sampleCount

uint32_t WGPURenderBundleEncoderDescriptor::sampleCount

Definition at line 1391 of file mini_webgpu.h.

## depthReadOnly

WGPUBool WGPURenderBundleEncoderDescriptor::depthReadOnly

Definition at line 1392 of file mini_webgpu.h.

## stencilReadOnly

WGPUBool WGPURenderBundleEncoderDescriptor::stencilReadOnly

Definition at line 1393 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h